Loading...
Searching...
No Matches
fixed_sized_memory_block_allocator.h File Reference
`#include "platform.h"`
`#include "alignment.h"`
`#include "generic_pool.h"`
`#include "imemory_block_allocator.h"`

Go to the source code of this file.

## Classes

class | etl::fixed_sized_memory_block_allocator< VBlock_Size, VAlignment, VSize >

## Namespaces

namespace | etl

## Variables

template<size_t VBlock_Size, size_t VAlignment, size_t VSize>
ETL_CONSTANT size_t | etl::fixed_sized_memory_block_allocator< VBlock_Size, VAlignment, VSize >::Block_Size
template<size_t VBlock_Size, size_t VAlignment, size_t VSize>
ETL_CONSTANT size_t | etl::fixed_sized_memory_block_allocator< VBlock_Size, VAlignment, VSize >::Alignment
template<size_t VBlock_Size, size_t VAlignment, size_t VSize>
ETL_CONSTANT size_t | etl::fixed_sized_memory_block_allocator< VBlock_Size, VAlignment, VSize >::Size